RESTinio

Public Member Functions | Public Attributes | List of all members
restinio::impl::connection_t< Traits >::upgrade_internals_t Struct Reference

Internals that are necessary for upgrade. More...

`#include <connection.hpp>`

## Public Member Functions
| upgrade_internals_t (upgrade_internals_t &&)=default
| upgrade_internals_t (connection_settings_handle_t< Traits > settings, stream_socket_t socket, lifetime_monitor_t lifetime_monitor)

## Public Attributes
connection_settings_handle_t< Traits > | m_settings
stream_socket_t | m_socket
lifetime_monitor_t | m_lifetime_monitor

## Detailed Description

template<typename Traits>
struct restinio::impl::connection_t< Traits >::upgrade_internals_t

Internals that are necessary for upgrade.

Definition at line 441 of file connection.hpp.

## Constructor & Destructor Documentation

## ◆ upgrade_internals_t() [1/2]

template<typename Traits >

restinio::impl::connection_t< Traits >::upgrade_internals_t::upgrade_internals_t | ( | upgrade_internals_t && |  | ) |
| default

## ◆ upgrade_internals_t() [2/2]

template<typename Traits >

restinio::impl::connection_t< Traits >::upgrade_internals_t::upgrade_internals_t | ( | connection_settings_handle_t< Traits > | settings,
|  | stream_socket_t | socket,
|  | lifetime_monitor_t | lifetime_monitor
| ) |  |
| inline

Definition at line 446 of file connection.hpp.

## Member Data Documentation

## ◆ m_lifetime_monitor

template<typename Traits >

lifetime_monitor_t restinio::impl::connection_t< Traits >::upgrade_internals_t::m_lifetime_monitor

Definition at line 457 of file connection.hpp.

## ◆ m_settings

template<typename Traits >

connection_settings_handle_t< Traits > restinio::impl::connection_t< Traits >::upgrade_internals_t::m_settings

Definition at line 455 of file connection.hpp.

## ◆ m_socket

template<typename Traits >

stream_socket_t restinio::impl::connection_t< Traits >::upgrade_internals_t::m_socket

Definition at line 456 of file connection.hpp.

The documentation for this struct was generated from the following file:

- restinio/impl/connection.hpp